Bug 186913 - [NEW PORT] devel/rubygem-librarian-puppet
Summary: [NEW PORT] devel/rubygem-librarian-puppet
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-20 09:50 UTC by Bartek Rutkowski
Modified: 2014-03-12 16:40 UTC (History)
0 users

See Also:


Attachments
file.shar (1.92 KB, text/plain)
2014-02-20 09:50 UTC, Bartek Rutkowski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-02-20 09:50:00 UTC
WARNING: this port was submitted as a group of ports that are required to work together: rubygem-librarian-puppet, rubygem-librarian and rubygem-open3_backport. Those ports should be tested and commited as a group, otherwise they're usless because of missing dependencies.

Fix: Shar archive attached.

Patch attached with submission follows:
How-To-Repeat: Test, commit.
Comment 1 Edwin Groothuis freebsd_committer 2014-02-20 09:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Bartlomiej Rutkowski 2014-02-20 09:54:21 UTC
Wiadomo=C5=9B=C4=87 napisana przez FreeBSD-gnats-submit@FreeBSD.org w =
dniu 20 lut 2014, o godz. 09:50:

> Thank you very much for your problem report.
> It has the internal identification `ports/186913'.
> The individual assigned to look at your
> report is: freebsd-ports-bugs.=20
>=20
> You can access the state of your problem report at any time
> via this link:
>=20
> http://www.freebsd.org/cgi/query-pr.cgi?pr=3D186913
>=20
>> Category:       ports
>> Responsible:    freebsd-ports-bugs
>> Synopsis:       [NEW PORT] devel/rubygem-librarian-puppet
>> Arrival-Date:   Thu Feb 20 09:50:00 UTC 2014

Redports build reports are here: =
https://redports.org/buildarchive/20140219144000-48619/ and here: =
https://redports.org/buildarchive/20140219144300-4715
9/=
Comment 3 Steve Wills freebsd_committer 2014-02-21 19:24:29 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 4 dfilter service freebsd_committer 2014-03-12 16:33:03 UTC
Author: swills
Date: Wed Mar 12 16:32:55 2014
New Revision: 347987
URL: http://svnweb.freebsd.org/changeset/ports/347987
QAT: https://qat.redports.org/buildarchive/r347987/

Log:
  Librarian-puppet is a bundler for your puppet infrastructure.
  You can use it to manage the puppet modules your infrastructure
  depends on. It is based on Librarian framework.
  
  WWW: https://github.com/rodjek/librarian-puppet
  
  PR:		ports/186913
  Submitted by:	ports@robakdesign.com

Added:
  head/sysutils/rubygem-librarian-puppet/
  head/sysutils/rubygem-librarian-puppet/Makefile   (contents, props changed)
  head/sysutils/rubygem-librarian-puppet/distinfo   (contents, props changed)
  head/sysutils/rubygem-librarian-puppet/pkg-descr   (contents, props changed)
Modified:
  head/sysutils/Makefile

Modified: head/sysutils/Makefile
==============================================================================
--- head/sysutils/Makefile	Wed Mar 12 16:24:22 2014	(r347986)
+++ head/sysutils/Makefile	Wed Mar 12 16:32:55 2014	(r347987)
@@ -807,6 +807,7 @@
     SUBDIR += rubygem-hiera
     SUBDIR += rubygem-hiera-json
     SUBDIR += rubygem-hiera-puppet
+    SUBDIR += rubygem-librarian-puppet
     SUBDIR += rubygem-log4r
     SUBDIR += rubygem-mogilefs-client
     SUBDIR += rubygem-murder

Added: head/sysutils/rubygem-librarian-puppet/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/rubygem-librarian-puppet/Makefile	Wed Mar 12 16:32:55 2014	(r347987)
@@ -0,0 +1,22 @@
+# $FreeBSD$
+
+PORTNAME=	librarian-puppet
+PORTVERSION=	0.9.13
+CATEGORIES=	sysutils rubygems
+MASTER_SITES=	RG
+
+MAINTAINER=	ports@robakdesign.com
+COMMENT=	A tool for management and bundling Puppet modules
+
+LICENSE=	MIT
+
+RUN_DEPENDS=	${PKGNAMEPREFIX}json>=0:${PORTSDIR}/devel/rubygem-json \
+		${PKGNAMEPREFIX}librarian>=0.1.2:${PORTSDIR}/devel/rubygem-librarian \
+		${PKGNAMEPREFIX}open3_backport>=0:${PORTSDIR}/devel/rubygem-open3_backport
+
+USE_RUBY=	yes
+USE_RUBYGEMS=	yes
+RUBYGEM_AUTOPLIST=	yes
+PLIST_FILES=	bin/librarian-puppet
+
+.include <bsd.port.mk>

Added: head/sysutils/rubygem-librarian-puppet/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/rubygem-librarian-puppet/distinfo	Wed Mar 12 16:32:55 2014	(r347987)
@@ -0,0 +1,2 @@
+SHA256 (rubygem/librarian-puppet-0.9.13.gem) = beb66c609c72ac617e05cf7bded068e8d79a7b3ca1c76bd475146770e75777ae
+SIZE (rubygem/librarian-puppet-0.9.13.gem) = 17408

Added: head/sysutils/rubygem-librarian-puppet/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/rubygem-librarian-puppet/pkg-descr	Wed Mar 12 16:32:55 2014	(r347987)
@@ -0,0 +1,5 @@
+Librarian-puppet is a bundler for your puppet infrastructure.
+You can use it to manage the puppet modules your infrastructure
+depends on. It is based on Librarian framework.
+
+WWW: https://github.com/rodjek/librarian-puppet
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Steve Wills freebsd_committer 2014-03-12 16:33:13 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!